*, *::before, *::after {
    box-sizing: border-box;
    font-family:calibri;
    font-weight: bold;
    color:black;
}

body{
    padding: 0;
    margin: 0;
    background:black;
}

.calculator-grid {
    display: grid;
    justify-content: center;
    align-content: center;
    min-height: 100vh;
    grid-template-columns: repeat(4, 100px);
    grid-template-rows: minmax(120px, auto) repeat(5, 100px);
    
}

.calculator-grid > button {
    cursor: pointer;
    font-size: 2rem;
    border: 5px solid rgb(3, 3, 3);
    outline: none;
    
}


.span-two {
    grid-column: span 2;
    
}
.output{
    grid-column: 1 / -1;
    background-color: grey;
    border-radius: 45px;
    display: flex;
    align-items: flex-end;
    justify-content: space-around;
    flex-direction: column;
    padding: 20px;
    word-wrap: break-word;
    word-break:break-all;
    
}

.output .previous-operand {
    color:white;
    font-size: 1.5rem;
}

.output .current-operand {
    color:white;
    font-size: 2.5rem;
}

.data-number{
    background-color: rgb(124, 119, 119);
    
}
.cal-button{
    background-color: white;
    border-radius: 60%;
    margin: 5px;
    
}

.cal-button:hover{
    opacity:.75;
}

.cal-operations{
    background-color: orange;
    padding:0;
    border-radius:90%;
    margin:5px ;
}

.cal-operations:hover{
    opacity:.75;
}

.cal-del{
    background-color: rgb(236, 225, 225);
    color:black;
    border-radius: 60%;
    margin:10px;
}


.cal-del:hover{
    opacity: .75;
}


.span-two{
    background-color: rgb(236, 225, 225);
    color:black;
    border-radius:45px;
    margin:10px;
}


.span-two:hover{
    opacity:.75;
}

.blink{
    height:36px;
    border:1px solid white;
    animation-name: blink;
	animation-duration: 1000ms;
	animation-iteration-count: infinite;
	opacity: 1;
    background-color: white;

}
.cursor-content{
    display:flex;
    
}

@keyframes blink {
	from { opacity: 1; }
	to { opacity: 0; }
}

.d-none{
    display: none;
}
